#ifndef _APP_H
#define _APP_H

#include <list>
#include <unistd.h>
#include <stdio.h>
#include <klog.h>
#include <time.h>
#include <objclient.h>

#include "south_device.h"
#include "sam.h"

class Application
{
	bool mRunning;

    cObjectClient *mNorthClient;
    cObjectClient *mSouthClient;
    std::list<SouthDevice*> mDevices;

    bool getDigitalLabel(cObjectClient *client, uint32_t serial, uint8_t portId, char *label);

protected:
    cKlog logger;

public:
    Application();
    ~Application();
    bool init();
    void run();
    void exit();

};

#endif
